org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_PANELNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_PANELNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_PANELNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_PANELNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_PANELNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_PANELNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindExpandable(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindExpanded(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindHeadertext(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_PANELNode` | `setActionListener(java.lang.String value)`
    `UI5M_PANELNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_PANELNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_PANELNode` | `setComment(java.lang.String value)`
    `UI5M_PANELNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_PANELNode` | `setExpandable(java.lang.String value)`
    `UI5M_PANELNode` | `setExpanded(java.lang.String value)`
    `UI5M_PANELNode` | `setFlush(boolean value)`
    `UI5M_PANELNode` | `setFlush(java.lang.String value)`
    `UI5M_PANELNode` | `setHeadertext(java.lang.String value)`
    `UI5M_PANELNode` | `setHeight(int value)`
    `UI5M_PANELNode` | `setHeight(java.lang.String value)`
    `UI5M_PANELNode` | `setId(java.lang.String value)`
    `UI5M_PANELNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_PANELNode` | `setReference(java.lang.String value)`
    `UI5M_PANELNode` | `setRendered(boolean value)`
    `UI5M_PANELNode` | `setRendered(java.lang.String value)`
    `UI5M_PANELNode` | `setStyleseq(java.lang.String value)`
    `UI5M_PANELNode` | `setStylevariant(java.lang.String value)`
    `UI5M_PANELNode` | `setWidth(int value)`
    `UI5M_PANELNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_PANELNode

          public UI5M_PANELNode()

  - ### Method Detail

    - #### setId

          public UI5M_PANELNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_PANELNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_PANELNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_PANELNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_PANELNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_PANELNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_PANELNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_PANELNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_PANELNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_PANELNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setExpandable

          public UI5M_PANELNode setExpandable(java.lang.String value)

    - #### bindExpandable

          public UI5M_PANELNode bindExpandable(IDynamicContentBindingObject value)

    - #### setExpanded

          public UI5M_PANELNode setExpanded(java.lang.String value)

    - #### bindExpanded

          public UI5M_PANELNode bindExpanded(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_PANELNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_PANELNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_PANELNode setFlush(boolean value)

    - #### setHeadertext

          public UI5M_PANELNode setHeadertext(java.lang.String value)

    - #### bindHeadertext

          public UI5M_PANELNode bindHeadertext(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_PANELNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_PANELNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_PANELNode setHeight(int value)

    - #### setLayoutdata

          public UI5M_PANELNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_PANELNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_PANELNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_PANELNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_PANELNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_PANELNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_PANELNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_PANELNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_PANELNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_PANELNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_PANELNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_PANELNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_PANELNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.